/* Mdulo de rvores binrias (com chaves inteiras)  */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "BinTree.h"




// insere um novo elemento numa rvore binria de procura.
// (obs: substitui o valor se a chave j existir
Tree treeInsert(Tree root, KeyType k, void *x)
{
  if (!root){
    root=(Tree)malloc(sizeof(TreeNode));
    root->entry.key = k;
    root->entry.value = x;
    root->left = root->right = NULL;
  } else if (k < root->entry.key)
    root->left = treeInsert(root->left, k, x);
  else if (k > root->entry.key)
    root->right = treeInsert(root->right, k, x);
  else {
    if (root->entry.value) free(root->entry.value);
    root->entry.value = x;
  }
  return root;
}



