

#include "TreeMapInt.h"


TreeMapInt mapCreate(void)
{
  return treeCreate();
}


void *mapGet(TreeMapInt map, KeyType key)
{
  return treeSearchIT(map, key);
}


void mapPut(TreeMapInt* map, KeyType key, void *value)
{
  *map = treeInsert(*map, key, value);
}



void mapIter(TreeMapInt map, void (*procEntry)(KeyType, void*))
{
  treeInorder(map, procEntry);
}


void mapClear(TreeMapInt *map)
{
  treeClear(map);
}
