#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

#include "TreeMapInt.h"


#define TRUE 1
#define FALSE 0


void showEntry(KeyType key, void* value);


int main()
{
  TreeMapInt map;
  char c;	// caracter lido

  int fOnWord;	// flag "sobre palavra"
  int count;	// contador de caracteres na palavra

  int *valPtr;	// valor armazenado no Map


  // Inicializaes
  map = mapCreate();
  fOnWord = FALSE;
  count = 0;


  // Leitura do ficheiro de entrada
  while ( (c=getchar()) != EOF) {
    if ( isspace(c) ) {
      if (fOnWord) {
	// Consulta valor associado  chave
	valPtr = mapGet(map, count);
	
	// Se entrada para a chave no existe, cria-se nova...
	if (!valPtr) {
	  valPtr = (int*) malloc(sizeof(int));
	  *valPtr = 0;
	  mapPut(&map, count, valPtr);
	}

	// Actualiza valor associado  chave
	(*valPtr)++;

	fOnWord = FALSE;
	count = 0;
      }
    } else {
      count ++;
      fOnWord = TRUE;
    }
  }

  printf("APRESENTAO DOS RESULTADOS:\n");
  printf("============================\n");
  mapIter(map, showEntry);

  
}





void showEntry(KeyType key, void* value)
{
  printf("%d -> %d\n",key, *(int*)value);
}

